# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.
#
# If you need help with YAML syntax, here are some quick references for you: 
# https://learn-the-web.algonquindesign.ca/topics/markdown-yaml-cheat-sheet/#yaml
# https://learnxinyminutes.com/docs/yaml/
#
# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.

title: Crumbs SDK documentation
logo: "assets/crumbs-title-sdk.png"
description: >- # this means to ignore newlines until "baseurl:"
  Core logic of crumbs project. This repository contains the generic Crumbs code that's shared
  between platforms.
baseurl: "/crumbs/crumbs-sdk" # the subpath of your site, e.g. /blog
url: "https://eyeo.gitlab.io" # the base hostname & protocol for your site, e.g. http://example.com

# Build settings
theme: just-the-docs
color_scheme: crumbs_scheme

plugins:
  - jekyll-feed

aux_links:
  "Crumbs SDK on GitLab":
    - "https://gitlab.com/eyeo/crumbs/crumbs-sdk"

asciidoctor:
  base_dir: ../
  attributes:
    - idprefix=_
    - source-highlighter=pygments
    - pygments-css=style
    - allow-uri-read


# footer_content: "Distributed by an <a href=\"https://github.com/pmarsceill/just-the-docs/tree/master/LICENSE.txt\">MIT license.</a>"
# Footer "Edit this page on Gitlab" link text
gh_edit_link: true # show or hide edit this page link
gh_edit_link_text: "Edit this page on gitlab."
gh_edit_repository: "https://gitlab.com/eyeo/crumbs/crumbs-sdk"
gh_edit_branch: "develop"
gh_edit_source: "docs" # the source that your files originate from
gh_edit_view_mode: "tree" # "tree" or "edit" if you want the user to jump into the editor immediately

# Exclude from processing.
# The following items will not be processed, by default.
# Any item listed under the `exclude:` key here will be automatically added to
# the internal "default list".
#
# Excluded items can be processed by explicitly listing the directories or
# their entries' file path in the `include:` list.
#
# exclude:
#   - .sass-cache/
#   - .jekyll-cache/
#   - gemfiles/
#   - Gemfile
#   - Gemfile.lock
#   - node_modules/
#   - vendor/bundle/
#   - vendor/cache/
#   - vendor/gems/
#   - vendor/ruby/
